# Uses of Enum Class
java.nio.file.FileVisitOption

Packages that use FileVisitOption
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of FileVisitOption in java.nio.file

Subclasses with type arguments of type FileVisitOption in java.nio.file
Modifier and Type
Class
Description
`enum`
`FileVisitOption`
Defines the file tree traversal options.
Methods in java.nio.file that return FileVisitOption
Modifier and Type
Method
Description
`static FileVisitOption`
FileVisitOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileVisitOption[]`
FileVisitOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.nio.file with parameters of type FileVisitOption
Modifier and Type
Method
Description
`static Stream<Path>`
Files.`find(Path start, int maxDepth, BiPredicate<Path, BasicFileAttributes> matcher, FileVisitOption... options)`
Returns a `Stream` that is lazily populated with `Path` by searching for files in a file tree rooted at a given starting file.
`static Stream<Path>`
Files.`walk(Path start, int maxDepth, FileVisitOption... options)`
Returns a `Stream` that is lazily populated with `Path` by walking the file tree rooted at a given starting file.
`static Stream<Path>`
Files.`walk(Path start, FileVisitOption... options)`
Returns a `Stream` that is lazily populated with `Path` by walking the file tree rooted at a given starting file.
Method parameters in java.nio.file with type arguments of type FileVisitOption
Modifier and Type
Method
Description
`static Path`
Files.`walkFileTree(Path start, Set<FileVisitOption> options, int maxDepth, FileVisitor<? super Path> visitor)`
Walks a file tree.